# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           picocontainer
Version:        1.3
Release:        6%{?dist}
Summary:        Dependency-injection container
Group:          Development/Libraries
License:        BSD
URL:            http://picocontainer.codehaus.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Source0:        http://repository.codehaus.org/org/picocontainer/picocontainer-distribution/1.3/picocontainer-distribution-%{version}-src.zip

Requires:       java
Requires:       jpackage-utils
BuildRequires:  java-devel >= 1.4.0
BuildRequires:  jpackage-utils >= 1.5 
BuildRequires:  java-javadoc

%description
Lightweight and highly embeddable inversion of controll container for 
components that honour dependency injection.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Libraries

%description javadoc
%{summary}.

%prep
%setup -q
mkdir -p container/build/{classes,dist,doc}

%build
pushd container
find src/java -name "*.java" > source-list
javac -d build/classes -classpath build/classes -g @source-list
jar cf build/dist/%{name}-%{version}.jar -C build/classes .
javadoc -d build/doc/ -sourcepath src/java org.picocontainer
popd

%install
rm -rf $RPM_BUILD_ROOT

pushd container
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 build/dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} $(echo $jar| sed "s,-%{version},,g"); done)

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}

%changelog
* Sat Nov 15 2009 Michal Ingeli <mi@v3.sk> 1.3-6
- Removed link to default documentation for package
- Removed explicit source version and encoding for javac

* Sat Nov 14 2009 Michal Ingeli <mi@v3.sk> 1.3-5
- Removed all insufficient ant and maven build scripts
- Build with plain javac until someone fixes it

* Tue Mar 17 2009 David Walluck <dwalluck@redhat.com> 0:1.3-4
- fix build with ant

* Thu Jul 24 2008 David Walluck <dwalluck@redhat.com> 0:1.3-3
- update for JPackage 5

* Wed Jul 09 2008 Fernando Nasser <fnasser@redhat.com> - 0:1.3-2
- Use new package for dependency, release, cobertura, surefire, site, source
  and project-info-reports plugins
- Needs jakarta-slide-webdavclient

* Fri Jul 20 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.3-1jpp
- Upgrade to 1.3
- Switch to maven2 build
- Add pom and depmap frags
- Add gcj_support option

* Fri Jul 21 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.2-2jpp
- Fix unversioned symlinks

* Mon May 22 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.2-1jpp
- First JPP-1.7 release

